VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::vm::hardware::SerialTypes::CreateSpec Class Reference

The `Serial.CreateSpec` class provides a specification for the configuration of a newly-created virtual serial port. More...

List of all members.

## Public Member Functions
| CreateSpec ()
| Creates a default new instance.
bool | GetYieldOnPoll ()
| CPU yield behavior.
void | SetYieldOnPoll (bool?yieldOnPoll)
| CPU yield behavior.
vmware.vcenter.vm.hardware.SerialTypes.BackingSpec | GetBacking ()
| Physical resource backing for the virtual serial port.
void | SetBacking (vmware.vcenter.vm.hardware.SerialTypes.BackingSpec backing)
| Physical resource backing for the virtual serial port.
bool | GetStartConnected ()
| Flag indicating whether the virtual device should be connected whenever the virtual machine is powered on.
void | SetStartConnected (bool?startConnected)
| Flag indicating whether the virtual device should be connected whenever the virtual machine is powered on.
bool | GetAllowGuestControl ()
| Flag indicating whether the guest can connect and disconnect the device.
void | SetAllowGuestControl (bool?allowGuestControl)
| Flag indicating whether the guest can connect and disconnect the device.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `Serial.CreateSpec` class provides a specification for the configuration of a newly-created virtual serial port.

## Constructor & Destructor Documentation

vmware::vcenter::vm::hardware::SerialTypes::CreateSpec::CreateSpec | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vcenter::vm::hardware::SerialTypes::CreateSpec::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vcenter::vm::hardware::SerialTypes::CreateSpec::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vcenter::vm::hardware::SerialTypes::CreateSpec::_GetType | ( |  | ) | `[inline]`

bool vmware::vcenter::vm::hardware::SerialTypes::CreateSpec::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vcenter::vm::hardware::SerialTypes::CreateSpec::_Validate | ( |  | ) | `[inline]`

override bool vmware::vcenter::vm::hardware::SerialTypes::CreateSpec::Equals | ( | object | obj | ) | `[inline]`

bool vmware::vcenter::vm::hardware::SerialTypes::CreateSpec::GetAllowGuestControl | ( |  | ) | `[inline]`

Flag indicating whether the guest can connect and disconnect the device.

vmware.vcenter.vm.hardware.SerialTypes.BackingSpec vmware::vcenter::vm::hardware::SerialTypes::CreateSpec::GetBacking | ( |  | ) | `[inline]`

Physical resource backing for the virtual serial port.

override int vmware::vcenter::vm::hardware::SerialTypes::CreateSpec::GetHashCode | ( |  | ) | `[inline]`

bool vmware::vcenter::vm::hardware::SerialTypes::CreateSpec::GetStartConnected | ( |  | ) | `[inline]`

Flag indicating whether the virtual device should be connected whenever the virtual machine is powered on.

bool vmware::vcenter::vm::hardware::SerialTypes::CreateSpec::GetYieldOnPoll | ( |  | ) | `[inline]`

CPU yield behavior.

If set to true, the virtual machine will periodically relinquish the processor if its sole task is polling the virtual serial port. The amount of time it takes to regain the processor will depend on the degree of other virtual machine activity on the host.

void vmware::vcenter::vm::hardware::SerialTypes::CreateSpec::SetAllowGuestControl | ( | bool? | allowGuestControl | ) | `[inline]`

Flag indicating whether the guest can connect and disconnect the device.

void vmware::vcenter::vm::hardware::SerialTypes::CreateSpec::SetBacking | ( | vmware.vcenter.vm.hardware.SerialTypes.BackingSpec | backing | ) | `[inline]`

Physical resource backing for the virtual serial port.

void vmware::vcenter::vm::hardware::SerialTypes::CreateSpec::SetStartConnected | ( | bool? | startConnected | ) | `[inline]`

Flag indicating whether the virtual device should be connected whenever the virtual machine is powered on.

void vmware::vcenter::vm::hardware::SerialTypes::CreateSpec::SetYieldOnPoll | ( | bool? | yieldOnPoll | ) | `[inline]`

CPU yield behavior.

If set to true, the virtual machine will periodically relinquish the processor if its sole task is polling the virtual serial port. The amount of time it takes to regain the processor will depend on the degree of other virtual machine activity on the host.

override string vmware::vcenter::vm::hardware::SerialTypes::CreateSpec::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- SerialTypes.cs